<template>
    <main class="container">
        <router-view :manifest="manifest" :key="route.fullPath" />
    </main>
</template>

<script setup>
import { ref, onMounted } from 'vue'
import { useRoute } from 'vue-router'

const route = useRoute()

const manifest = ref([])

onMounted(async () => {
    manifest.value = await fetch('/manifest.json').then((r) => r.json())
})
</script>

<style lang="scss">
.container {
    background: var(--theme-layout);
}
</style>
